Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ve
Class FactorSumOut

    java.lang.Object
      |
      +--ve.Factor
            |
            +--ve.FactorStored
                  |
                  +--ve.FactorSumOut

public class FactorSumOut
extends FactorStored

This the the class of factors that are created by summing out a set of variables from another factor. Copyright 2001, David Poole. All rights reserved.

Fields inherited from class ve.FactorStored
`factorValues`

Fields inherited from class ve.Factor
`BY_MULTIPLYING, BY_SUM_OUT, BY_V_ELIM, BY_V_OBS, FROM_NODE, howCreated`

Constructor Summary
`FactorSumOut(Factor f1, Variable[] vars)` constructs a factor with the given variables.

Method Summary
`static Variable[]` | `setDiff(Variable[] vars1, Variable[] vars2)` returns the array representing the set difference of the variables.

Methods inherited from class ve.FactorStored
`iterator`

Methods inherited from class ve.Factor
`allOnes, contains, display, getName, getVariables, isRedundant, print, print, printVariables, size, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FactorSumOut

    public FactorSumOut(Factor f1,
                        Variable[] vars)

  constructs a factor with the given variables.
  Parameters:
    `f1` - the original factor.
    `vars` - the list of variables to be summed out. This assumes that vars is a subset of f1.getVariables().

Method Detail

### setDiff

    public static Variable[] setDiff(Variable[] vars1,
                                     Variable[] vars2)

  returns the array representing the set difference of the variables.
  Parameters:
    `vars1` - an ordered list of variables.
    `vars2` - an ordered list of variables.
  Returns:
    the elements of vars1 not in vars2.

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD